VERSION 5.00
Begin VB.Form frmBuildNetwork 
   Caption         =   "Build Network"
   ClientHeight    =   1104
   ClientLeft      =   9228
   ClientTop       =   3348
   ClientWidth     =   2124
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   1104
   ScaleWidth      =   2124
   Begin VB.CommandButton cmdBuildNetwork 
      Caption         =   "Build Network"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   600
      Width           =   1815
   End
   Begin VB.TextBox txtHiddenPEs 
      Height          =   285
      Left            =   1320
      TabIndex        =   0
      Text            =   "6"
      Top             =   120
      Width           =   615
   End
   Begin VB.Label lblHiddenPEs 
      Caption         =   "Hidden PE's:"
      Height          =   315
      Left            =   120
      TabIndex        =   1
      Top             =   120
      Width           =   990
   End
End
Attribute VB_Name = "frmBuildNetwork"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub cmdBuildNetwork_Click()
    Dim NSApp As Object
    Dim NSBB As Object
    Dim inputFilePath As String
    Dim desiredFilePath As String
    
    Set NSApp = CreateObject("NeuroSolutions.Application")
    Set NSBB = NSApp.activeBreadboard
    
    NSApp.maximize
    
    NSBB.setAnimatePoint 20, 225
    NSBB.stampAndMove "Axon", "inputAxon"
    NSBB.send "inputAxon. setRows ( 2 )"
    NSBB.setAnimatePoint 110, 225
    NSBB.stampAndMove "FullSynapse", "hidden1Synapse"
    NSBB.send "inputAxon. connectTo ( ""hidden1Synapse"" )"
    NSBB.setAnimatePoint 200, 225
    NSBB.stampAndMove "TanhAxon", "hidden1Axon"
    NSBB.send "hidden1Axon. setRows ( " & txtHiddenPEs.Text & " )"
    NSBB.send "hidden1Synapse. connectTo ( ""hidden1Axon"" )"
    NSBB.setAnimatePoint 290, 225
    NSBB.stampAndMove "FullSynapse", "outputSynapse"
    NSBB.send "hidden1Axon. connectTo ( ""outputSynapse"" )"
    NSBB.setAnimatePoint 380, 225
    NSBB.stampAndMove "TanhAxon", "outputAxon"
    NSBB.send "outputSynapse. connectTo ( ""outputAxon"" )"
    NSBB.setAnimatePoint 470, 225
    NSBB.stampAndMove "L2Criterion", "criterion"
    NSBB.send "criterion. setRows ( 1 )"
    NSBB.send "outputAxon. connectTo ( ""criterion"" )"
    NSBB.setAnimatePoint 15, 200
    NSBB.stampAndMove "StaticControl", "control"
    NSBB.stampOnAndMove "BackStaticControl", "control"
    NSBB.send "controlBackprop. setGradientClassName ( ""Momentum"" )"
    NSBB.send "controlBackprop. allocateBackpropPlane (  )"
    NSBB.stampOnAndMove "File", "inputAxon"
    
    NSBB.send "file. setName ( ""inputFile"" )"
    NSBB.send "inputFile. setActiveAccessPoint ( ""Pre-Activity"" )"
    inputFilePath = NSApp.pathFromNS("Demos\OLE Automation\box.asc")
    NSBB.send "inputFile. addFile ( """ & inputFilePath & """ , False )"
    NSBB.send "inputFile. setUseDefaultTranslatorForActiveFile ( FALSE,FALSE )"
    NSBB.send "inputFile. setActiveTranslatorName ( ""ASCII - Column"",FALSE )"
    NSBB.send "inputFile. setNormalize ( FALSE )"
    
    NSBB.stampOnAndMove "File", "criterion"
    NSBB.send "file. setName ( ""desiredFile"" )"
    NSBB.send "desiredFile. setActiveAccessPoint ( ""Desired Signal"" )"
    desiredFilePath = NSApp.pathFromNS("Demos\OLE Automation\boxDesired.asc")
    NSBB.send "desiredFile. addFile ( """ & desiredFilePath & """ ,FALSE )"
    NSBB.send "desiredFile. setUseDefaultTranslatorForActiveFile ( FALSE,FALSE )"
    NSBB.send "desiredFile. setActiveTranslatorName ( ""ASCII - Column"",FALSE )"
    NSBB.send "desiredFile. setNormalize ( FALSE )"

    NSBB.stampOnAndMove "DataStorage", "criterion"
    NSBB.send "dataStorage. setActiveAccessPoint ( ""Average Cost"" )"
    NSBB.stampOnAndMove "MatrixViewer", "dataStorage"
    NSBB.send "matrixViewer. setName ( ""trainingCostProbe"" )"
        
    NSBB.Select "Null", False

    NSBB.send "nextButton. setMacroAction ( 1 )"
    NSBB.send "nextButton. setColor ( 255,0,0 )"

    End
End Sub

